//
//  FlipsideViewController.m
//  ex_shoudAutorotate_navigationController
//
//  Created by yoshiyuki oshige on 2013/05/27.
//  Copyright (c) 2013年 yoshiyuki. All rights reserved.
//

#import "FlipsideViewController.h"

@interface FlipsideViewController ()

@end

@implementation FlipsideViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

#pragma mark - Actions

//デリゲート先に対してメッセージを送信する
- (IBAction)done:(id)sender
{
    [self.delegate flipsideViewControllerDidFinish:self];
}

//オートローテーションが発生するタイミングで呼ばれる
- (BOOL)shouldAutorotate {
    switch ([[UIDevice currentDevice] orientation]) {
        case UIDeviceOrientationPortrait:
            NSLog(@"通常");
            return YES; //メソッドを呼んだナビゲーションコントローラに返す
            break;
        case UIDeviceOrientationPortraitUpsideDown:
            NSLog(@"逆さま");
            return YES; //メソッドを呼んだナビゲーションコントローラに返す
            break;
        default:
            return NO;
            break;
    }
}

//画面回転を行う方向を許可する
- (NSUInteger)supportedInterfaceOrientations {
    //通常と逆さまの向きを許可する（メソッドを呼んだナビゲーションコントローラに返す）
    return (UIInterfaceOrientationMaskPortrait
            | UIInterfaceOrientationMaskPortraitUpsideDown);
}

@end
