//
//  NavigationController.m
//  ex_shoudAutorotate_navigationController
//
//  Created by yoshiyuki oshige on 2013/05/27.
//  Copyright (c) 2013年 yoshiyuki. All rights reserved.
//

#import "NavigationController.h"

@interface NavigationController ()

@end

@implementation NavigationController

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view.
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

//表示しているViewControllerにshouldAutorotateを送ってYES/NOの回答を得る
- (BOOL)shouldAutorotate {
    //表示しているViewControllerが返してきたBOOL値を返す
    return [self.visibleViewController shouldAutorotate];
}

//表示しているViewControllerにsupportedInterfaceOrientationsを送って回転方向を得る
- (NSUInteger)supportedInterfaceOrientations {
    //表示しているViewControllerが許可している回転方向を返す
    return [self.visibleViewController supportedInterfaceOrientations];
}

@end