//
//  MainViewController.m
//  ex_shoudAutorotate_navigationController
//
//  Created by yoshiyuki oshige on 2013/05/27.
//  Copyright (c) 2013年 yoshiyuki. All rights reserved.
//

#import "MainViewController.h"

@interface MainViewController ()

@end

@implementation MainViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

#pragma mark - Flipside View

- (void)flipsideViewControllerDidFinish:(FlipsideViewController *)controller
{
    [self dismissViewControllerAnimated:YES completion:nil];
}

- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender
{
    if ([[segue identifier] isEqualToString:@"showAlternate"]) {
        //ナビゲーションコントローラを取得する
        UINavigationController * controler = [segue destinationViewController];
        //最初のビューコントローラを取得する
        FlipsideViewController * vc = controler.viewControllers[0];
        //doneボタンが送信するイベントを受け取るためにdelegateになる
        vc.delegate = self;
    }
}

//すべてのデバイス向きを許可する
- (BOOL)shouldAutorotate {
    return YES;
}

//すべての向きの画面回転を許可する
- (NSUInteger)supportedInterfaceOrientations {
    return UIInterfaceOrientationMaskAll;
}


@end
