//
//  ViewController.m
//  ex_shouldAutorotate
//
//  Created by yoshiyuki oshige on 2013/05/26.
//  Copyright (c) 2013年 yoshiyuki. All rights reserved.
//

#import "ViewController.h"

@interface ViewController ()

@end

@implementation ViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

//オートローテーションで回転しようとしているデバイスの向きを調べる
- (BOOL)shouldAutorotate {
    switch ([[UIDevice currentDevice] orientation]) {
        case UIDeviceOrientationPortrait:
            NSLog(@"縦方向");
            return YES;
            break;
        case UIDeviceOrientationPortraitUpsideDown:
            NSLog(@"上下逆さま");
            return YES;
            break;
        case UIDeviceOrientationLandscapeLeft:
            NSLog(@"左に倒れている");
            return YES;
            break;
        case UIDeviceOrientationLandscapeRight:
            NSLog(@"右に倒れている");
            return YES;
            break;
        default:
            return YES;
            break;
    }
}

//オートローテーションで回転する方向を許可する
- (NSUInteger)supportedInterfaceOrientations {
    //縦方向、逆さま、左方向（デバイスは右回転）の回転を許可する
    return (UIInterfaceOrientationMaskPortrait
            | UIInterfaceOrientationMaskPortraitUpsideDown
            | UIInterfaceOrientationMaskLandscapeLeft);
}

@end
