//
//  ViewController.h
//  ex_CoreLocation
//
//  Created by yoshiyuki oshige on 2013/05/30.
//  Copyright (c) 2013年 yoshiyuki. All rights reserved.
//

#import <UIKit/UIKit.h>
//CoreLocationフレームワークをインポートする
#import <CoreLocation/CoreLocation.h>

//CLLocationManagerDelegateデリゲートを採用する
@interface ViewController : UIViewController <CLLocationManagerDelegate>
//ラベル、磁針、スイッチをアウトレット接続し、プロパティ宣言する
@property (weak, nonatomic) IBOutlet UILabel *label_ido;
@property (weak, nonatomic) IBOutlet UILabel *label_keido;
@property (weak, nonatomic) IBOutlet UILabel *label_hyoukou;
@property (weak, nonatomic) IBOutlet UILabel *label_henkaku;
@property (weak, nonatomic) IBOutlet UILabel *label_deviceMuki;
@property (weak, nonatomic) IBOutlet UIImageView *jishin;
@property (weak, nonatomic) IBOutlet UISwitch *jihokuSwitch;
//磁北切り替えスイッチをメソッドとアクション接続する
- (IBAction)changedJihokuSwitch:(UISwitch *)sender;
@end
