//
//  ViewController.h
//  ex_MapKit
//
//  Created by yoshiyuki oshige on 2013/06/02.
//  Copyright (c) 2013年 yoshiyuki. All rights reserved.
//

#import <UIKit/UIKit.h>
//Mapkitフレームワークをインポートする
#import <MapKit/MapKit.h>
//CoreLocationフレームワークをインポートする
#import <CoreLocation/CoreLocation.h>

//MKMapViewDelegateプロトコルの採用を宣言する
@interface ViewController : UIViewController <MKMapViewDelegate>

//マップビュー、バーボタン、ラベルとアウトレット接続してプロパティ宣言する
@property (weak, nonatomic) IBOutlet MKMapView *myMapView;
@property (weak, nonatomic) IBOutlet UIBarButtonItem *barButton_follow;
@property (weak, nonatomic) IBOutlet UIBarButtonItem *barButton_gotoSpot;
@property (weak, nonatomic) IBOutlet UILabel *label_trackingMode;

//バーボタンをアクション接続してメソッド宣言する
- (IBAction)changeTrackingMode:(UIBarButtonItem *)sender;
- (IBAction)gotoSpot:(UIBarButtonItem *)sender;

@end
